Bug 162306 - starting X11 on i830M takes a long time
starting X11 on i830M takes a long time
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-07-02 04:14 EDT by David Monniaux
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-30 04:03:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Monniaux 2005-07-02 04:14:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031114

Description of problem:
When starting X, the X server takes a long time. Apparently, it tries one video mode, isn't happy, tries another video mode, isn't happy, then tries a third and is happy.

If booting with rhgb, the same happens when the system starts the graphic mode, which is annoying (and sometimes it even seems to fail and I have to VT-switch to text mode then back to graphics). I thus disabled rhgb.

System: Dell Latitude X200, i830M graphics, 1024x768 internal TFT LCD display

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. use a Dell Latitude X200
2. start X (or use telinit 5)

Actual Results:  It takes a while (screen flashes etc.) before X11 comes up.

Expected Results:  It should come up quickly as it used to do in FC1 etc.

Additional info:

Dell Latitude X200
TFT display
Comment 1 Mike A. Harris 2005-07-05 06:22:05 EDT
Upgrade to Fedora Core 4, apply all updates, and review bug #161242 which
might affect you in FC4.  If so, try the workaround in that bug, and an
update will be out for FC4 in the next month or so to resolve bug #161242.
Comment 2 Mike A. Harris 2005-08-30 04:03:39 EDT
This bug contains insufficient information to be able to diagnose the
cause of the problem, and there hasn't been any response to my inquiry
to obtain additional information over a month ago.

As such, we are unable to troubleshoot this problem further.

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Closing NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.